package com.gic.haoban.manage.api.service;

import java.util.List;

import com.gic.api.base.commons.Page;
import com.gic.haoban.base.api.common.BasePageInfo;
import com.gic.haoban.manage.api.dto.AuditDTO;


/**
 * Created by tgs on 2020/2/9.
 */
public interface AuditApiService {
	
	Page<AuditDTO> page(Integer auditType, String search,String wxEnterpriseId,String enterpriseId,Integer auditStatus,BasePageInfo pageInfo);
	
	void audit(String auditId);
	
	void refuse(String auditId,String auditReason);
	
	int save(Integer auditType,String wxEnterpriseId,String enterpriseId,String commitStaffId,String commitStoreId,String changeField,String oldValue,String newValue);
	
	void editStoreInfo(String storeId,String changeField,String oldValue, String newValue);
	
	List<AuditDTO> listByStoreId(String storeId);

}
