package com.gic.haoban.manage.web.controller;

import java.util.Iterator;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import com.gic.haoban.common.utils.HaobanResponse;
import com.gic.haoban.manage.api.dto.ApplicationDTO;
import com.gic.haoban.manage.api.service.ApplicationApiService;
import com.gic.haoban.manage.web.errCode.HaoBanErrCode;

@RestController
public class ApplicationController extends WebBaseController{
	
	@Autowired
	private ApplicationApiService applicationApiService;
	
	@RequestMapping("application-list")
	public HaobanResponse applicationList() {
		
		List<ApplicationDTO> list = applicationApiService.listApplication();
		Iterator<ApplicationDTO> it = list.listIterator();
		while(it.hasNext()){
			ApplicationDTO app = it.next();
			if("通讯录".equals(app.getApplicationName())){
				it.remove();
			}
		}
		return resultResponse(HaoBanErrCode.ERR_1,list);
		
	}

}
